> For the complete documentation index, see [llms.txt](https://api-docs.speechace.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.speechace.com/api-reference/score-text-fluency/fidelity-detection.md).

# Fidelity detection

One of the unique capabilities of the fluency scoring function is that it can detect incomplete or off-script attempts where the speaker deviates from the intended utterance.&#x20;

If fidelity detection is enabled and the test taker deviates from reading the passage by not fully adhering to the test script or spoke freely instead of following the scripted prompts then the API will reduce the overall scores and return a `score_issue_list[]` entry such as the below:

{% hint style="info" %}
Please review additional details on [interpreting fidelity scores](/guides-on-common-topics/interpreting-fidelity-class.md).
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```json
"score_issue_list":
[
  {
    "status": "warning",
    "short_message": "response_incomplete",
    "detail_message": "The response doesn't follow the script completely.",
    "source": "fluency"
  }
]
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.speechace.com/api-reference/score-text-fluency/fidelity-detection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
